<?php
/// Keep function name in lower case

/**
 * Exportation function
 * @param array $entries with all data entries
 * @return string with the entries of bibtex
 **/
function bibtex_export($entries) {
    global $manager;
    $allEntries = parseArrayToObject($entries);
 
    $bibtex = '';
    foreach($allEntries as $entry) {
        if(strlen($entry['bibtexname']) == 0) $entry['bibtexname'] = 'MISC';
        $bibtex .= '@' . $entry['bibtexname'] . '{';

        unset($entry['bibtexname']); // Do this so we don't repeat the entry

        // Get keys
        $keys = array_keys($entry);
        $size = count($keys);
        for($i = 0; $i < $size; $i++) {
            $bibtex .=  $keys[$i] . ' = ' .$entry[$keys[$i]];
            if($i < $size - 1) $bibtex .= ',\n';
        }
        $bibtex .= '\n}\n\n';
    }
    exit();
    return $bibtex;
}

?>
