// De acordo com o valor escolhido na droplist do entrytype devero ficar apenas visvis os campos respectivos
// Os campos respectivos de cada entrytype esto definidos nas tabelas bibliography_field_name, bibliography_entrytype_fields e bibliography_entrytype

$(document).ready(function(){
	
	$("#id_entrytypeid").change(function() {
		$("div#dynamic_fields").fadeOut("fast",function(){
			$("div#dynamic_fields label, div#dynamic_fields input, div#dynamic_fields textarea").hide();
			
			//Exception: Date fields
			$("div#id_last_update_date, div#id_retrieved_access_date").hide();
			
			$("div#dynamic_fields div.fitem,").css({'min-height':'0'});
			$("div#dynamic_fields div.fitemtitle, div#dynamic_fields div.felement").css({'margin-top':'0'});
			
			
			var selectedentrytypeid = parseInt($("select#id_entrytypeid").val());
			$.get("js/form_getfieldsdata.php",{entrytypeid:selectedentrytypeid+1},function(data){
				var myArray = JSON.parse(data);
				
				$("div#dynamic_fields").fadeIn("fast");
		
				for (i=0;i<myArray[0].length;i++){
					//alert(data_array[i]);
					
					$("label[htmlFor='id_"+myArray[1][i]+"']").parent(".fitemtitle").css({'margin-top':'5px'});
					$("#id_" +myArray[1][i]).parent(".felement").css({'margin-top':'5px'});
					
					$("label[htmlFor='id_"+myArray[1][i]+"']").show();
					$("label[htmlFor='id_"+myArray[1][i]+"']").text(myArray[0][i]);
					$("#id_" +myArray[1][i]).show();
					$("#id_" +myArray[1][i]+" label").show(); //Exception: Date fields

				}
			});	
		});
		
		
		
	}).change();
});




/**
*
*  Javascript trim, ltrim, rtrim
*  http://www.webtoolkit.info/
*
**/
 
function trim(str, chars) {
	return ltrim(rtrim(str, chars), chars);
}
 
function ltrim(str, chars) {
	chars = chars || "\\s";
	return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}
 
function rtrim(str, chars) {
	chars = chars || "\\s";
	return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}