<?php  // $Id: tabs.php,v 1.0.0.0 2010/02/01 14:00:00 nbarbosa
if (!isset($sortorder)) {
    $sortorder = '';
}    
if (!isset($sortkey)) {
    $sortkey = '';
}

//make sure variables are properly cleaned
$sortkey   = clean_param($sortkey, PARAM_ALPHA);// Sorted view: CREATION | UPDATE | FIRSTNAME | LASTNAME...
$sortorder = clean_param($sortorder, PARAM_ALPHA);   // it defines the order of the sorting (ASC or DESC)

$toolsrow = array();
$browserow = array();
$inactive = array();
$activated = array();

if (!has_capability('mod/bibliography:approve', $context) && $tab == BIBLIOGRAPHY_APPROVAL_VIEW) {
/// Non-teachers going to approval view go to defaulttab
    $tab = $defaulttab;
}


$browserow[] = new tabobject(BIBLIOGRAPHY_STANDARD_VIEW,
                             $CFG->wwwroot.'/mod/bibliography/view.php?id='.$id.'&amp;mode=letter',
                             get_string('standardview', 'bibliography'));

$browserow[] = new tabobject(BIBLIOGRAPHY_DATE_VIEW,
                             $CFG->wwwroot.'/mod/bibliography/view.php?id='.$id.'&amp;mode=date',
                             get_string('dateview', 'bibliography'));

$browserow[] = new tabobject(BIBLIOGRAPHY_AUTHOR_VIEW,
                             $CFG->wwwroot.'/mod/bibliography/view.php?id='.$id.'&amp;mode=author',
                             get_string('authorview', 'bibliography'));

$browserow[] = new tabobject(BIBLIOGRAPHY_INSTANCE_VIEW,
                             $CFG->wwwroot.'/mod/bibliography/view.php?id='.$id.'&amp;mode=instance',
                             get_string('instanceview', 'bibliography'));

if ($tab < BIBLIOGRAPHY_STANDARD_VIEW  || $tab > BIBLIOGRAPHY_INSTANCE_VIEW) {   // We are on second row
    $inactive = array('edit');
    $activated = array('edit');

    $browserow[] = new tabobject('edit', '#', get_string('edit'));
}

/// Put all this info together

$tabrows = array();
$tabrows[] = $browserow;     // Always put these at the top
if ($toolsrow) {
    $tabrows[] = $toolsrow;
}


?>
<div class="bibliographydisplay">

<?php print_tabs($tabrows, $tab, $inactive, $activated); ?>

<div class="entrybox">

<?php

if (!isset($instance)) {
    $instance = "";
}


switch ($tab) {
    case BIBLIOGRAPHY_APPROVAL_VIEW:
        //bibliography_print_approval_menu($cm, $bibliography, $mode, $hook, $sortkey, $sortorder);
    break;
    case BIBLIOGRAPHY_AUTHOR_VIEW:
        $search = "";
        //bibliography_print_author_menu($cm, $bibliography, "author", $hook, $sortkey, $sortorder, 'print');
    break;
    case BIBLIOGRAPHY_IMPORT_VIEW:
        $search = "";
        $l = "";
        //bibliography_print_import_menu($cm, $bibliography, 'import', $hook, $sortkey, $sortorder);
    break;
    case BIBLIOGRAPHY_EXPORT_VIEW:
        $search = "";
        $l = "";
        //bibliography_print_export_menu($cm, $bibliography, 'export', $hook, $sortkey, $sortorder);
    break;
    case BIBLIOGRAPHY_INSTANCE_VIEW:
        $search = "";
        break;
    case BIBLIOGRAPHY_DATE_VIEW:
        if (!$sortkey) {
            $sortkey = 'UPDATE';
        }
        if (!$sortorder) {
            $sortorder = 'desc';
        }
        //bibliography_print_alphabet_menu($cm, $bibliography, "date", $hook, $sortkey, $sortorder);
    break;
    case BIBLIOGRAPHY_STANDARD_VIEW:
    default:
        //bibliography_print_alphabet_menu($cm, $bibliography, "letter", $hook, $sortkey, $sortorder);
        if ($mode == 'search' and $hook) {
            echo "<h3>$strsearch: $hook</h3>";
        }
    break;
} 
echo '<hr />';
?>
