<?php   // $Id$

    require_once("../../config.php");
    require_once("lib.php");

    // disable moodle specific debug messages
    disable_debugging();

    $id = required_param('id', PARAM_INT);      // Course Module ID

    $l   = optional_param('l','', PARAM_ALPHANUM);
    $inst = optional_param('inst',0, PARAM_ALPHANUM);

    if (! $cm = get_coursemodule_from_id('bibliography', $id)) {
        error("Course Module ID was incorrect");
    }

    if (! $course = get_record("course", "id", $cm->course)) {
        error("Course is misconfigured");
    }

    if (! $bibliography = get_record("bibliography", "id", $cm->instance)) {
        error("Course module is incorrect");
    }

    require_login($course->id, false, $cm);
    
    $context = get_context_instance(CONTEXT_MODULE, $cm->id);
    require_capability('mod/bibliography:export', $context);
    
    $filename = clean_filename(strip_tags(format_string($bibliography->name,true)).'.bib');
    $content = bibliography_generate_export_file($bibliography,$l,$inst);
    //print_r($content);
    //exit();
    send_file($content, $filename, 0, 0, true, true);
?>
